Page MenuHomePhabricator

Bounding box in documentation should be changed
Closed, ResolvedPublic

Description

"Bounding box with topleft and bottomright latlong coordinates" should be changed to "Bounding box with bottomleft and topright latlong coordinates".

API documentation

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 20 2016, 5:31 PM
Lokal_Profil added a subscriber: Lokal_Profil.EditedOct 24 2016, 3:16 PM

Right. We actually specify left,bottom,right,top on the row above only to contradict ourselves in the following line.

As a reference what we actually do in the code is:

$bl_lon = floatval( $coords[0] );
$bl_lat = floatval( $coords[1] );
$tr_lon = floatval( $coords[2] );
$tr_lat = floatval( $coords[3] );

Change 317524 had a related patch set uploaded (by Lokal Profil):
Ensure orderby is allways an array

https://gerrit.wikimedia.org/r/317524

Change 317524 merged by jenkins-bot:
Ensure orderby is allways an array

https://gerrit.wikimedia.org/r/317524

Mentioned in SAL (#wikimedia-labs) [2016-10-26T23:03:12Z] <JeanFred> Deploy latest from Git master: c943e89, e3ba148, 063f9e2 (T148772 & T148773), 1db9f42, fe119e1, de2e590, 82147b8, f6ff350 & 63a1819 (T140795)

JeanFred closed this task as Resolved.Oct 26 2016, 11:04 PM
JeanFred added a subscriber: JeanFred.

This is now deployed